<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>Release Notes for 32L4R9IDISCOVERY Demonstrations</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <link rel="stylesheet" href="../../../_htmresc/mini-st.css" />
  <!--[if lt IE 9]>
    <script src="//cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv-printshiv.min.js"></script>
  <![endif]-->
</head>
<body>
<div class="row">
<div class="col-sm-12 col-lg-4">
<div class="card fluid">
<div class="sectione dark">
<center>
<h1 id="release-notes-for-32l4r9idiscovery-demonstrations"><small>Release Notes for</small> <mark>32L4R9IDISCOVERY Demonstrations</mark></h1>
<p>Copyright © 2017 STMicroelectronics<br />
</p>
<a href="https://www.st.com" class="logo"><img src="../../../_htmresc/st_logo.png" alt="ST logo" /></a>
</center>
</div>
</div>
<h1 id="license">License</h1>
<p>Licensed by ST under Ultimate Liberty license SLA0044 (the “License”). You may not use this package except in compliance with the License. You may obtain a copy of the License at:</p>
<p><a href="http://www.st.com/SLA0044">http://www.st.com/SLA0044</a></p>
<h1 id="purpose">Purpose</h1>
<p>This directory contains the demonstrations to illustrate the capabilities of the 32L4R9IDISCOVERY Kit.</p>
</div>
<div class="col-sm-12 col-lg-8">
<h1 id="update-history">Update History</h1>
<div class="collapse">
<input type="checkbox" id="collapse-section19" checked aria-hidden="true"> <label for="collapse-section19" aria-hidden="true">V1.14.0 / 03-April-2019</label>
<div>
<h2 id="main-changes">Main Changes</h2>
<ul>
<li><p>Demonstrations</p>
<ul>
<li>Remove useless setting of ep0_mps in usbd_conf.c file</li>
<li>Align USBD_StringSerial[..] array on 4 bytes</li>
<li>Correct audio_player_win.c and audio_recorder_win.c gcc compilation warnings reported by -Wformat-overflow option</li>
<li>Remove the following .hex files
<ul>
<li>\MenuLauncher\Binary\MenuLauncher-STM32L4R9I-Discovery_V1.0.0.hex</li>
<li>\MenuLauncher\Binary\STM32Cube_Demo-STM32L4R9I-Discovery-V1.0.0.hex</li>
<li>\STemWin\Binary\STemWin-STM32L4R9I-Discovery_V1.0.0.hex</li>
<li>\EmbeddedWizard\Binary\EmbeddedWizard-STM32L4R9I-Discovery_V1.0.0.hex</li>
<li>\TouchGFX\Binary\TouchGFX-STM32L4R9I-Discovery_V1.0.0.hex<br />
</li>
</ul></li>
<li>Create the following readme.txt files to indicate from which st.com web page the .hex files can be downloaded
<ul>
<li>\MenuLauncher\Binary\readme.txt</li>
<li>\STemWin\Binary\readme.txt</li>
<li>\EmbeddedWizard\Binary\readme.txt</li>
<li>\TouchGFX\Binary\readme.txt</li>
</ul></li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section18" aria-hidden="true"> <label for="collapse-section18" aria-hidden="true">V1.13.0 / 27-July-2018</label>
<div>
<h2 id="main-changes-1">Main Changes</h2>
<ul>
<li><p>MenuLauncher, STemWin demonstrations</p>
<ul>
<li>Update EWARM projects to STemWIN 5.44</li>
</ul></li>
<li><p>USB Host applications</p>
<ul>
<li>Move to USB Host library v3.3.0</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section17" aria-hidden="true"> <label for="collapse-section17" aria-hidden="true">V1.12.0 / 22-May-2018</label>
<div>
<h2 id="no-change">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section16" aria-hidden="true"> <label for="collapse-section16" aria-hidden="true">V1.11.0 / 22-December-2017</label>
<div>
<h2 id="main-changes-2">Main Changes</h2>
<ul>
<li><p>Package size reduction</p>
<ul>
<li><p>Media files moved from Project\32L4R9IDISCOVERY\Demonstrations\MenuLauncher\Binary\SDCard to Utilities\Media\Audio</p>
<ul>
<li>These audio files must be copied at root of µSD card for the demonstration firmwares</li>
</ul></li>
<li><p>Removed graphical source assets</p></li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section15" aria-hidden="true"> <label for="collapse-section15" aria-hidden="true">V1.10.0 / 13-October-2017</label>
<div>
<h2 id="main-changes-3">Main Changes</h2>
<ul>
<li>First official release</li>
</ul>
</div>
</div>
</div>
</div>
<footer class="sticky">
For complete documentation on <mark>STM32 Microcontrollers</mark> , visit: <a href="http://www.st.com/STM32">http://www.st.com/STM32</a>
</footer>
</body>
</html>
